Arguments:

Object | Changes the "name" of the object under the cursor. For a text object this is the text string. For a terminal, this is the terminal ID. For a subcircuit this is the refdes. For a subc text object that has only the refdes template in it, it offers changing the text object (template) or the parent subcircuit's refdes attribute.
Refdes | Changes the refdes attribute of a subcircuit under the cursor.
Layout | Changes the name of the layout. This is printed on the fab drawings.
Layer | Changes the name of the currently active layer.